%define pkgver %(echo %version | cut -d_ -f1)
%define dirver %(echo %version | cut -d_ -f2)
Name:          webstorm
Version:       2024.1
Release:       1mamba
Summary:       JavaScript IDE and HTML editor
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.jetbrains.com/webstorm/
Source:        https://download.jetbrains.com/webstorm/WebStorm-%{pkgver}.tar.gz
Source1:       jetbrains-webstorm.desktop
License:       Custom
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      java-runtime

%description
JavaScript IDE and HTML editor.

%package jre
Group:         System/Libraries
Summary:       JBR (JetBrains Runtime) for WebStorm - a patched JRE

%description jre
JBR (JetBrains Runtime) for WebStorm - a patched JRE.

%debug_package

%global __requires_exclude_from ^%{_datadir}/webstorm/.*$
%global __provides_exclude_from ^%{_datadir}/webstorm/.*$

%prep
%setup -q -c
mv WebStorm-*/* .
rmdir WebStorm-*

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m0755 %{buildroot}{%{_datadir}/webstorm,%{_bindir}}

cp -a * %{buildroot}%{_datadir}/webstorm/

ln -s %{_datadir}/webstorm/bin/webstorm.sh %{buildroot}%{_bindir}/webstorm
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/jetbrains-webstorm.desktop
install -D -m644 bin/webstorm.svg %{buildroot}%{_datadir}/pixmaps/webstorm.svg

rm -f %{buildroot}%{_datadir}/webstorm/Install-Linux-tar.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/webstorm
%{_datadir}/applications/jetbrains-webstorm.desktop
%{_datadir}/pixmaps/webstorm.svg
%dir %{_datadir}/webstorm
%{_datadir}/webstorm/build.txt
%{_datadir}/webstorm/product-info.json
%dir %{_datadir}/webstorm/bin
%{_datadir}/webstorm/bin/*
%dir %{_datadir}/webstorm/help
%{_datadir}/webstorm/help/*.pdf
%dir %{_datadir}/webstorm/lib
%{_datadir}/webstorm/lib/*
%dir %{_datadir}/webstorm/license
%{_datadir}/webstorm/license/*
%dir %{_datadir}/webstorm/plugins
%{_datadir}/webstorm/plugins/*

%files jre
%defattr(-,root,root)
%dir %{_datadir}/webstorm/jbr
%{_datadir}/webstorm/jbr/*
%dir %{_datadir}/webstorm/modules
%{_datadir}/webstorm/modules/module-descriptors.jar

%changelog
* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 2024.1-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 2023.3-1mamba
- automatic version update by autodist

* Tue Jul 25 2023 Automatic Build System <autodist@mambasoft.it> 2023.2-1mamba
- automatic version update by autodist

* Wed Mar 29 2023 Automatic Build System <autodist@mambasoft.it> 2023.1-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 2022.3-1mamba
- automatic version update by autodist

* Fri Sep 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.2.1_222.3739.57-1mamba
- update to 2022.2.1_222.3739.57

* Fri Sep 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.2.1-1mamba
- package created using the webbuild interface
